group = "com.aliyun.face.aliyun_face_plugin"
version = "1.0"

allprojects {
    repositories {
        google()
        mavenCentral()
    }
}

val newBuildDir: Directory = rootProject.layout.buildDirectory.dir("../../build").get()
rootProject.layout.buildDirectory.value(newBuildDir)

subprojects {
    val newSubprojectBuildDir: Directory = newBuildDir.dir(project.name)
    project.layout.buildDirectory.value(newSubprojectBuildDir)
}
subprojects {
    project.evaluationDependsOn(":app")
}

plugins {
    id("com.android.library")
    id("kotlin-android")
}

android {
    namespace = "com.aliyun.face.aliyun_face_plugin"
    compileSdk = flutter.compileSdkVersion

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }

    kotlinOptions {
        jvmTarget = JavaVersion.VERSION_17.toString()
    }

    defaultConfig {
        minSdk = flutter.minSdkVersion
    }

    dependencies {
        implementation(fileTree(mapOf("dir" to "libs", "include" to listOf("*.jar"))))

            // 实人认证SDK
        implementation("com.github.guoqing12345.clx-lib-repo:aliyun-base:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:aliyun-facade:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:aliyun-face:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:aliyun-faceaudio:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:aliyun-facelanguage:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:aliyun-facequality:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:aliyun-nfc:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:aliyun-ocr:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:aliyun-wishverify:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:APSecuritySDK-deepSec:1.0.3")
        implementation("com.github.guoqing12345.clx-lib-repo:Android-AliyunFaceGuard:1.0.3")

        // 实人认证三方依赖库
        implementation("com.squareup.okhttp3:okhttp:3.11.0")
        implementation("com.squareup.okio:okio:1.14.0")
        implementation("com.alibaba:fastjson:1.2.83_noneautotype")
        implementation("com.aliyun.dpa:oss-android-sdk:2.9.11")
    }
}



